﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Spire.Doc;

namespace InsertHeader
{
    class Program
    {
        static void Main(string[] args)
        {
            Document document1 = new Document();

            document1.LoadFromFile("document1.docx");

            Document document2 = new Document();

            document2.LoadFromFile("document2.docx");

            //get the header of document1
            HeaderFooter header = document1.Sections[0].HeadersFooters.Header;

            HeaderFooter firstPageHeader = document2.Sections[0].HeadersFooters.FirstPageHeader;


            foreach (Section section in document2.Sections)
            {

                section.PageSetup.DifferentFirstPageHeaderFooter = true;

            }


            //remove the header of first page of document2
            firstPageHeader.Paragraphs.Clear();

            //insert header
            foreach (DocumentObject obj in header.ChildObjects)
            {

                firstPageHeader.ChildObjects.Add(obj.Clone());

            }

            document2.SaveToFile("output.docx", FileFormat.Docx);
        }
    }
}
